package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 启用状态
 * @Author: jiang chao
 * @Time: 2023/1/4 15:32
 * @Classname: EnableStatus
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum EnableStatus {

    /**
     * 已启用
     */
    ENABLE(0, "已启用", 0,EnumsPrefixConstants.ENABLE_STATUS + "0"),

    /**
     * 已禁用
     */
    STOP(1, "已禁用", 0, EnumsPrefixConstants.ENABLE_STATUS + "1"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;


    /**
     * 根据值，返回label
     *
     * @param intVale
     * @return
     */
    public static String getLabelByIntValue(int intVale) {
        if (ENABLE.getValue() == intVale) {
            return ENABLE.getLabel();
        }
        return STOP.getLabel();
    }

}
